Apache log4cxx: AppenderAttachable Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AppenderAttachable Class Reference

Inherits Object.

Inherited by AsyncAppender`[virtual]`, AppenderAttachableImpl`[virtual]`, and Logger`[virtual]`.

List of all members.

## Detailed Description

This Interface is for attaching Appenders to objects.

## Public Member Functions
virtual void | addAppender (const AppenderPtr &newAppender)=0
| Add an appender.
virtual AppenderList | getAllAppenders () const =0
| Get all previously added appenders as an AppenderList.
virtual AppenderPtr | getAppender (const LogString &name) const =0
| Get an appender by name.
virtual bool | isAttached (const AppenderPtr &appender) const =0
| Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
virtual void | removeAllAppenders ()=0
| Remove all previously added appenders.
virtual void | removeAppender (const AppenderPtr &appender)=0
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const LogString &name)=0
| Remove the appender with the name passed as parameter from the list of appenders.
virtual | ~AppenderAttachable ()

## Constructor & Destructor Documentation

virtual ~AppenderAttachable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void addAppender | ( | const AppenderPtr & | newAppender | ) | `[pure virtual]`

| Add an appender. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual AppenderList getAllAppenders | ( |  | ) | const`[pure virtual]`

| Get all previously added appenders as an AppenderList. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual AppenderPtr getAppender | ( | const LogString & | name | ) | const`[pure virtual]`

| Get an appender by name. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual bool isAttached | ( | const AppenderPtr & | appender | ) | const`[pure virtual]`

| Returns `true` if the specified appender is in list of attached attached, `false` otherwise. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual void removeAllAppenders | ( |  | ) | `[pure virtual]`

| Remove all previously added appenders. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual void removeAppender | ( | const LogString & | name | ) | `[pure virtual]`

| Remove the appender with the name passed as parameter from the list of appenders. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

virtual void removeAppender | ( | const AppenderPtr & | appender | ) | `[pure virtual]`

| Remove the appender passed as parameter from the list of appenders. Implemented in AsyncAppender, AppenderAttachableImpl, and Logger.

The documentation for this class was generated from the following file:

- appenderattachable.h